# encoding: utf-8
require 'graphviz'
require 'graphviz/diagram/version'
require 'graphviz/diagram/record_label'
require 'graphviz/diagram/class_diagram'

# mixin Graphviz name space (what ever it belongs)
module Graphviz
  # A name space for all types of diagram figures
  module Diagram
    def self.new(type = :class_diagram, opts = {})
      case type.to_sym
      when :class_diagram then ClassDiagram.new opts
      end
    end
  end
end
